| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Overview
Use this endpoint to retrieve detailed information about shipment header details based on its unique shipment number.
Endpoint
HTTP Method: GET
Endpoint URL: https://coreapi.impexdocs.com/api/v1/shipment/{shipmentdocs_id}/header
Authentication: Required
Response Format (Successfully Retrieved)
A successful retrieval will yield a JSON response containing the following details like:
- Shipment Number
- Shipment Status
- Shipment Docs Id
- Shipment Folder Details Id
- and more..
Request Parameters
To fetch a shipment, provide the required field, which is the "Shipment Number" {shipment_no}. Alternatively, users can also pass the Shipment Docs Id {shipmentdocs_id} in place of the Shipment Number for retrieval.
Example
Request
GET https://coreapi.impexdocs.com/api/v1/shipment/{shipmentdocs_id}/headerResponse
{
"shipment_no": "Impex-Demo",
"shipment_status": "Created",
"shipmentdocs_id": "5a8ef9c4-daaa-4d29-bf51-faad55d94c41",
"shipmentfolderdetail_id": "c2b9fui0-4235-4deb-9ed7-e3141f80260a",
"exporter_reference": "REFEXP-110027",
"customer_reference": "REFCUST-121010",
"buyer_code": "902022",
"buyer_name": "COUNTRY FOODS PTE LTD",
"consignee_code": "902022",
"consignee_name": "COUNTRY FOODS PTE LTD",
"order_date": "23/09/2022",
"reference_order": "Order",
"requested_delivery_date": "",
"invoice_no": "INV-3454/3433",
"invoice_date": "30/11/2022",
"loadout_date": "",
"departure_date": "29/08/2023",
"arrival_date": "09/09/2023",
"currency": "AUD",
"item_subtotal": "82139.64",
"total_invoice_value": "82139.64",
"total_quantity": "14898.00",
"total_gross_wt": "0.00",
"total_net_wt": "23904.00",
"total_pack_unit": "1674.00"
}This example demonstrates a request to fetch the header details of a shipment with the provided shipment number. The response includes details such as the shipment number, shipment status, shipment docs id, shipment folder details ID, and other header information.
500Server Error
503Server Error